net.minecraftforge.event.entity.player

## Class PlayerUseItemEvent.Finish

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent
        - - net.minecraftforge.event.entity.player.PlayerUseItemEvent
          - - net.minecraftforge.event.entity.player.PlayerUseItemEvent.Finish

- Enclosing class:
    PlayerUseItemEvent

      public static class PlayerUseItemEvent.Finish
      extends PlayerUseItemEvent

  Fired after an item has fully finished being used. The item has been notified that it was used, and the item/result stacks reflect after that state. This means that when this is fired for a Potion, the potion effect has already been applied. If you wish to cancel those effects, you should cancel one of the above events. The result item stack is the stack that is placed in the player's inventory in replacement of the stack that is currently being used.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerUseItemEvent

      `PlayerUseItemEvent.Finish, PlayerUseItemEvent.Start, PlayerUseItemEvent.Stop, PlayerUseItemEvent.Tick`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `PlayerEvent.BreakSpeed, PlayerEvent.Clone, PlayerEvent.HarvestCheck, PlayerEvent.LoadFromFile, PlayerEvent.NameFormat, PlayerEvent.SaveToFile, PlayerEvent.StartTracking, PlayerEvent.StopTracking`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ItemStack` | `result`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerUseItemEvent

      `duration, item`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerUseItemEvent.Finish(EntityPlayer player, ItemStack item, int duration, ItemStack result)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          public ItemStack result

  - ### Constructor Detail

    - #### PlayerUseItemEvent.Finish

          public PlayerUseItemEvent.Finish(EntityPlayer player,
                                   ItemStack item,
                                   int duration,
                                   ItemStack result)